Error in track preparator ([Errno 28] No space left on device)


(Junkoshimane) #1

I'm new in elasticsearch and rally. Now I'm trying "Benchmarking an existing cluster" as below.
https://esrally.readthedocs.io/en/1.0.1/recipes.html#benchmarking-an-existing-cluster

After the following command line was executed, I faced error.
Would you please tell me how to resolve it?

$ esrally --track=pmc --target-hosts=ip_address:9200,ip_address:9200,ip_address:9200 --pipeline=benchmark-only

--- Logging error ---
Traceback (most recent call last):
File "/home/adminadmin/.local/lib/python3.5/site-packages/esrally/rally.py", line 454, in dispatch_sub_command
race(cfg)
File "/home/adminadmin/.local/lib/python3.5/site-packages/esrally/rally.py", line 383, in race
with_actor_system(lambda c: racecontrol.run(c), cfg)
File "/home/adminadmin/.local/lib/python3.5/site-packages/esrally/rally.py", line 404, in with_actor_system
runnable(cfg)
File "/home/adminadmin/.local/lib/python3.5/site-packages/esrally/rally.py", line 383, in
with_actor_system(lambda c: racecontrol.run(c), cfg)
File "/home/adminadmin/.local/lib/python3.5/site-packages/esrally/racecontrol.py", line 390, in run
raise e
File "/home/adminadmin/.local/lib/python3.5/site-packages/esrally/racecontrol.py", line 387, in run
pipeline(cfg)
File "/home/adminadmin/.local/lib/python3.5/site-packages/esrally/racecontrol.py", line 61, in call
self.target(cfg)
File "/home/adminadmin/.local/lib/python3.5/site-packages/esrally/racecontrol.py", line 334, in benchmark_only
return race(cfg, external=True)
File "/home/adminadmin/.local/lib/python3.5/site-packages/esrally/racecontrol.py", line 286, in race
raise exceptions.RallyError(result.message, result.cause)
esrally.exceptions.RallyError: ('Error in track preparator ([Errno 28] No space left on device)', None)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3.5/logging/init.py", line 984, in emit
self.flush()
File "/usr/lib/python3.5/logging/init.py", line 964, in flush
self.stream.flush()
OSError: [Errno 28] No space left on device
Call stack:
File "/home/adminadmin/.local/bin/esrally", line 11, in
sys.exit(main())
File "/home/adminadmin/.local/lib/python3.5/site-packages/esrally/rally.py", line 622, in main
success = dispatch_sub_command(cfg, sub_command)
File "/home/adminadmin/.local/lib/python3.5/site-packages/esrally/rally.py", line 461, in dispatch_sub_command
logging.getLogger(name).exception("Cannot run subcommand [%s].", sub_command)
Message: 'Cannot run subcommand [%s].'
Arguments: ('race',)
[ERROR] Cannot race. Error in track preparator ([Errno 28] No space left on device)


(Christian Dahlqvist) #2

It seems like you have run out of disk space? Rally downloads and uncompresses data files that can be quite large, so check in the track how large these are before starting so you have enough space available.


(Junkoshimane) #3

Hi Christian,
Thank you for your prompt reply.
After I prepared enough disk space, the race succeeded.


(system) #4

This topic was automatically closed 28 days after the last reply. New replies are no longer allowed.